---
outline: deep
---
# 获取和安装预打补丁的游戏安装包 {#patch}

## iOS
得益于Discord的Triangle，你只需下载对应的ipa文件即可。然后将该ipa文件侧载安装手机上即可。
- [国际服](https://arasfon.ru/direct/lovelive/sif2/patched-clients/ios/sif2_gl.ipa)
- [日服](https://arasfon.ru/direct/lovelive/sif2/patched-clients/ios/sif2_jp.ipa)

## Android
获取Android的预打补丁的游戏安装包较为麻烦，下面将详细介绍如何获取游戏安装包。

### 获取原版游戏安装包(可选)

你需要先获取原版的游戏安装包，你可以从下面的链接中获取原版的游戏安装包。
- [国际服](https://arasfon.ru/direct/lovelive/sif2/server-patcher/base-apks/sif2_gl_base_hlow.apk)
- [日服](https://arasfon.ru/direct/lovelive/sif2/server-patcher/base-apks/sif2_jp_base_hlow.apk)

### 给原版安装包打补丁

1. 打开[LLSIF2 Server Patcher](https://arasfon.ru/sif2/patcher/)。
2. 打开使用自定义apk，将apk拖入上传框中。（可选）
3. 将服务器URL输入到API URL中。
4. 将资源服务器URL输入到Assets URL中，一个可选的资源服务器为https://sif2.sif.moe 。
5. 选择游戏版本。
6. 更改头部格式（Header format）为Lowercase。
7. 点击修补（Patch）。
8. 下载修补好的安装包文件。
   
![patch](../image/27.png)

### 给修补好的安装包文件签名

使用[uber-apk-signer](https://github.com/patrickfav/uber-apk-signer?tab=readme-ov-file)给安装包签名。具体操作可参考uber-apk-signer项目说明。